FrodoKEMExtractor (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.frodo

## Class FrodoKEMExtractor

- java.lang.Object
- - org.bouncycastle.pqc.crypto.frodo.FrodoKEMExtractor

- All Implemented Interfaces:
    EncapsulatedSecretExtractor

  Deprecated.
  the standardised FrodoKEM (ISO/IEC 18033-2:2006/Amd 2:2026) is now provided under org.bouncycastle.crypto and org.bouncycastle.jcajce (see FrodoKEMParameters / FrodoKEMParameterSpec). This is the legacy NIST round 3 (unsalted, eFrodoKEM) implementation, retained for backwards compatibility.

      @Deprecated
      public class FrodoKEMExtractor
      extends java.lang.Object
      implements EncapsulatedSecretExtractor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrodoKEMExtractor(FrodoKeyParameters privParams)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `extractSecret(byte[] encapsulation)` Deprecated. Extract the secret based on the recipient private key.
    `int` | `getEncapsulationLength()` Deprecated. Return the length in bytes of the encapsulation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrodoKEMExtractor

          public FrodoKEMExtractor(FrodoKeyParameters privParams)

      Deprecated.

  - ### Method Detail

    - #### extractSecret

          public byte[] extractSecret(byte[] encapsulation)

      Deprecated.
      Description copied from interface: `EncapsulatedSecretExtractor`
      Extract the secret based on the recipient private key.
      Specified by:
        `extractSecret` in interface `EncapsulatedSecretExtractor`
      Parameters:
        `encapsulation` - the encapsulated secret.

    - #### getEncapsulationLength

          public int getEncapsulationLength()

      Deprecated.
      Description copied from interface: `EncapsulatedSecretExtractor`
      Return the length in bytes of the encapsulation.
      Specified by:
        `getEncapsulationLength` in interface `EncapsulatedSecretExtractor`
      Returns:
        length in bytes of an encapsulation for this parameter set.